#ifndef __FEAT_H
#define __FEAT_H
#include <stdio.h>
#include "board.h"
#include "engine.h"

extern FILE* featf;
extern FILE* searchfeatf;
extern float search_based_neural_net_feats[19*19];
extern void genfeats(struct board* b, struct move m, int* feats);
extern void printfeats(struct board* b, struct move m, int* feats);

extern void gen_search_feats(struct engine *engine, struct board* b, struct move m, float* feats);
extern void print_search_feats(float* feats);

#endif
